package com.artfess.bpm.plugin.execution.procnotify.def;

import com.artfess.bpm.api.constant.EventType;
import com.artfess.bpm.plugin.core.plugindef.AbstractBpmExecutionPluginDef;
import com.artfess.bpm.plugin.task.tasknotify.def.model.NotifyVo;

import java.util.HashMap;
import java.util.Map;

public class ProcNotifyPluginDef extends AbstractBpmExecutionPluginDef{
	/**
	 *
	 */
	private static final long serialVersionUID = 2102596766855882203L;
	/**
	 * 信息配置集合
	 */
	Map<EventType,NotifyVo> notifyVoMap = new HashMap<EventType,NotifyVo>();

	public void addNotifyVo(EventType eventType,NotifyVo notifyVo){
		notifyVo.setEventType(eventType);
		notifyVoMap.put(eventType, notifyVo);
	}



	public Map<EventType, NotifyVo> getNotifyVoMap() {
		return notifyVoMap;
	}
}
